import { defineComponent, computed, resolveComponent, openBlock, createBlock, withCtx, createVNode, withModifiers, unref, createTextVNode, createElementBlock, createElementVNode, createCommentVNode, Fragment, renderList, toDisplayString, withDirectives, vShow, ref, watch, pushScopeId, popScopeId } from "vue";
import { b3 as RequestParamsTypeEnum, a_ as SettingItemBox, b4 as SettingItem, i as icon, ag as COMPONENT_INTERACT_EVENT_KET, aa as ChartFrameEnum, d as goDialog, b2 as RequestDataTypeEnum, _ as _export_sfc, E as EventLife, b5 as npmPkgs, B as BaseEvent } from "./index-67bc0910.js";
import { n as noData } from "./noData-b19667d9.js";
import { u as useTargetData } from "./useTargetData.hook-83638ed4.js";
import { M as MonacoEditor } from "./EditorWorker-e8a74551.js";
const _hoisted_1$2 = {
  key: 0,
  class: "no-data go-flex-center"
};
const _hoisted_2$2 = ["src"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const { CloseIcon, AddIcon, HelpOutlineIcon } = icon.ionicons5;
    const { targetData, chartEditStore } = useTargetData();
    const requestParamsTypeList = [RequestParamsTypeEnum.PARAMS, RequestParamsTypeEnum.HEADER];
    const interactActions = computed(() => {
      const interactActions2 = targetData.value.interactActions;
      if (!interactActions2)
        return [];
      return interactActions2.map((value) => ({
        label: value.interactName,
        value: value.interactType
      }));
    });
    const option = computed(() => {
      return targetData.value.option;
    });
    const fnGetRequest = (id, key) => {
      var _a, _b;
      if (!id)
        return {};
      const globalConfigPindApr = (_a = chartEditStore.requestGlobalConfig.requestDataPond.find((item) => {
        return item.dataPondId === id;
      })) == null ? void 0 : _a.dataPondRequestConfig.requestParams;
      if (globalConfigPindApr)
        return globalConfigPindApr[key];
      return (_b = chartEditStore.componentList[chartEditStore.fetchTargetIndex(id)]) == null ? void 0 : _b.request.requestParams[key];
    };
    const fnDimensionsAndSource = (interactOn) => {
      if (!interactOn || !targetData.value.interactActions)
        return [];
      const tableData = targetData.value.interactActions.find((item) => {
        return item.interactType === interactOn;
      });
      return (tableData == null ? void 0 : tableData.componentEmitEvents[option.value[COMPONENT_INTERACT_EVENT_KET]]) || [];
    };
    const fnEventsOptions = () => {
      var _a;
      const fnFlattern = (data) => {
        return data.reduce(
          (iter, val) => {
            if (!val.groupList && val.request.requestDataType === RequestDataTypeEnum.AJAX && val.request.requestUrl) {
              iter.push(val);
            }
            return val.groupList && val.groupList.length > 0 ? [...iter, ...fnFlattern(val.groupList)] : iter;
          },
          []
        );
      };
      const filterOptionList = fnFlattern(chartEditStore.componentList).filter((item) => {
        const isNotSelf = item.id !== targetData.value.id;
        const isNotStatic = item.chartConfig.chartFrame !== ChartFrameEnum.STATIC;
        const isNotGroup = !item.isGroup;
        return isNotSelf && isNotStatic && isNotGroup;
      });
      const mapOptionList = filterOptionList.map((item) => ({
        id: item.id,
        title: item.chartConfig.title,
        disabled: false,
        type: "componentList"
      }));
      const requestDataPond = chartEditStore.requestGlobalConfig.requestDataPond.map((item) => ({
        id: item.dataPondId,
        title: item.dataPondName,
        disabled: false,
        type: "requestDataPond"
      }));
      const tarArr = requestDataPond.concat(mapOptionList);
      (_a = targetData.value.events.interactEvents) == null ? void 0 : _a.forEach((iaItem) => {
        tarArr.forEach((optionItem) => {
          if (optionItem.id === iaItem.interactComponentId) {
            optionItem.disabled = true;
          }
        });
      });
      return tarArr;
    };
    const evAddEventsFn = () => {
      targetData.value.events.interactEvents.push({
        interactOn: void 0,
        interactComponentId: void 0,
        interactFn: {}
      });
    };
    const evDeleteEventsFn = (index) => {
      goDialog({
        message: "是否删除此关联交互模块?",
        onPositiveCallback: () => {
          targetData.value.events.interactEvents.splice(index, 1);
        }
      });
    };
    return (_ctx, _cache) => {
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_text = resolveComponent("n-text");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_divider = resolveComponent("n-divider");
      const _component_n_tag = resolveComponent("n-tag");
      const _component_n_select = resolveComponent("n-select");
      const _component_n_input_group = resolveComponent("n-input-group");
      const _component_n_tooltip = resolveComponent("n-tooltip");
      const _component_n_table = resolveComponent("n-table");
      const _component_n_card = resolveComponent("n-card");
      const _component_n_collapse_item = resolveComponent("n-collapse-item");
      return interactActions.value.length ? (openBlock(), createBlock(_component_n_collapse_item, {
        key: 0,
        title: "组件交互",
        name: "1"
      }, {
        "header-extra": withCtx(() => [
          createVNode(_component_n_button, {
            type: "primary",
            tertiary: "",
            size: "small",
            onClick: withModifiers(evAddEventsFn, ["stop"])
          }, {
            icon: withCtx(() => [
              createVNode(_component_n_icon, null, {
                default: withCtx(() => [
                  createVNode(unref(AddIcon))
                ]),
                _: 1
              })
            ]),
            default: withCtx(() => [
              createTextVNode(" 新增 ")
            ]),
            _: 1
          }, 8, ["onClick"])
        ]),
        default: withCtx(() => [
          !unref(targetData).events.interactEvents.length ? (openBlock(), createElementBlock("div", _hoisted_1$2, [
            createElementVNode("img", {
              src: unref(noData),
              alt: "暂无数据"
            }, null, 8, _hoisted_2$2),
            createVNode(_component_n_text, { depth: 3 }, {
              default: withCtx(() => [
                createTextVNode("暂无内容")
              ]),
              _: 1
            })
          ])) : createCommentVNode("", true),
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(targetData).events.interactEvents, (item, cardIndex) => {
            return openBlock(), createBlock(_component_n_card, {
              key: cardIndex,
              class: "n-card-shallow",
              size: "small"
            }, {
              default: withCtx(() => [
                createVNode(_component_n_space, { justify: "space-between" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_text, null, {
                      default: withCtx(() => [
                        createTextVNode("关联组件 - " + toDisplayString(cardIndex + 1), 1)
                      ]),
                      _: 2
                    }, 1024),
                    createVNode(_component_n_button, {
                      type: "error",
                      text: "",
                      size: "small",
                      onClick: ($event) => evDeleteEventsFn(cardIndex)
                    }, {
                      icon: withCtx(() => [
                        createVNode(_component_n_icon, null, {
                          default: withCtx(() => [
                            createVNode(unref(CloseIcon))
                          ]),
                          _: 1
                        })
                      ]),
                      _: 2
                    }, 1032, ["onClick"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(_component_n_divider, { style: { "margin": "10px 0" } }),
                createVNode(_component_n_tag, {
                  bordered: false,
                  type: "primary"
                }, {
                  default: withCtx(() => [
                    createTextVNode(" 选择目标组件 ")
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItemBox), {
                  name: "触发事件",
                  alone: true
                }, {
                  default: withCtx(() => [
                    interactActions.value ? (openBlock(), createBlock(_component_n_input_group, { key: 0 }, {
                      default: withCtx(() => [
                        createVNode(_component_n_select, {
                          class: "select-type-options",
                          value: item.interactOn,
                          "onUpdate:value": ($event) => item.interactOn = $event,
                          size: "tiny",
                          options: interactActions.value
                        }, null, 8, ["value", "onUpdate:value", "options"])
                      ]),
                      _: 2
                    }, 1024)) : createCommentVNode("", true)
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItemBox), { alone: true }, {
                  name: withCtx(() => [
                    createVNode(_component_n_text, null, {
                      default: withCtx(() => [
                        createTextVNode("绑定")
                      ]),
                      _: 1
                    }),
                    createVNode(_component_n_tooltip, { trigger: "hover" }, {
                      trigger: withCtx(() => [
                        createVNode(_component_n_icon, {
                          size: "21",
                          depth: 3
                        }, {
                          default: withCtx(() => [
                            createVNode(unref(HelpOutlineIcon))
                          ]),
                          _: 1
                        })
                      ]),
                      default: withCtx(() => [
                        createVNode(_component_n_text, null, {
                          default: withCtx(() => [
                            createTextVNode("不支持「静态组件」支持「组件」「公共APi」")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      class: "select-type-options",
                      "value-field": "id",
                      "label-field": "title",
                      size: "tiny",
                      filterable: "",
                      placeholder: "仅展示符合条件的组件",
                      value: item.interactComponentId,
                      "onUpdate:value": ($event) => item.interactComponentId = $event,
                      options: fnEventsOptions()
                    }, null, 8, ["value", "onUpdate:value", "options"])
                  ]),
                  _: 2
                }, 1024),
                fnDimensionsAndSource(item.interactOn).length ? (openBlock(), createBlock(unref(SettingItemBox), {
                  key: 0,
                  name: "查询结果",
                  alone: true
                }, {
                  default: withCtx(() => [
                    createVNode(_component_n_table, {
                      size: "small",
                      striped: ""
                    }, {
                      default: withCtx(() => [
                        createElementVNode("thead", null, [
                          createElementVNode("tr", null, [
                            (openBlock(), createElementBlock(Fragment, null, renderList(["参数", "说明"], (item2) => {
                              return createElementVNode("th", { key: item2 }, toDisplayString(item2), 1);
                            }), 64))
                          ])
                        ]),
                        createElementVNode("tbody", null, [
                          (openBlock(true), createElementBlock(Fragment, null, renderList(fnDimensionsAndSource(item.interactOn), (cItem, index) => {
                            return openBlock(), createElementBlock("tr", { key: index }, [
                              createElementVNode("td", null, toDisplayString(cItem.value), 1),
                              createElementVNode("td", null, toDisplayString(cItem.label), 1)
                            ]);
                          }), 128))
                        ])
                      ]),
                      _: 2
                    }, 1024)
                  ]),
                  _: 2
                }, 1024)) : createCommentVNode("", true),
                createVNode(_component_n_tag, {
                  bordered: false,
                  type: "primary"
                }, {
                  default: withCtx(() => [
                    createTextVNode(" 关联目标请求参数 ")
                  ]),
                  _: 1
                }),
                (openBlock(), createElementBlock(Fragment, null, renderList(requestParamsTypeList, (requestParamsItem) => {
                  return createVNode(unref(SettingItemBox), {
                    name: requestParamsItem,
                    key: requestParamsItem
                  }, {
                    default: withCtx(() => [
                      (openBlock(true), createElementBlock(Fragment, null, renderList(fnGetRequest(item.interactComponentId, requestParamsItem), (ovlValue, ovlKey, index) => {
                        return openBlock(), createBlock(unref(SettingItem), {
                          key: index,
                          name: `${ovlKey}`
                        }, {
                          default: withCtx(() => [
                            createVNode(_component_n_select, {
                              size: "tiny",
                              value: item.interactFn[ovlKey],
                              "onUpdate:value": ($event) => item.interactFn[ovlKey] = $event,
                              options: fnDimensionsAndSource(item.interactOn),
                              clearable: ""
                            }, null, 8, ["value", "onUpdate:value", "options"])
                          ]),
                          _: 2
                        }, 1032, ["name"]);
                      }), 128)),
                      withDirectives(createVNode(_component_n_text, {
                        class: "go-pt-1",
                        depth: "3"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(" 暂无数据 ")
                        ]),
                        _: 2
                      }, 1536), [
                        [vShow, JSON.stringify(fnGetRequest(item.interactComponentId, requestParamsItem)) === "{}"]
                      ])
                    ]),
                    _: 2
                  }, 1032, ["name"]);
                }), 64))
              ]),
              _: 2
            }, 1024);
          }), 128))
        ]),
        _: 1
      })) : createCommentVNode("", true);
    };
  }
});
const index_vue_vue_type_style_index_0_scoped_35304eef_lang = "";
const ChartEventInteraction = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["__scopeId", "data-v-35304eef"]]);
const eTemplateString = `
console.log(e)
`;
const echartsTemplateString = `
console.log(echarts)
`;
const componentsTemplateString = `
console.log(components)
`;
const nodeModulesTemplateString = `
console.log(node_modules)
`;
const addClickTemplateString = `
// 在渲染之后才能获取 dom 实例
e.el.addEventListener('click', () => {
  alert('我触发拉~');
}, false)
`;
const importTemplateString = `
await import('https://lf3-cdn-tos.bytecdntp.com/cdn/expire-1-M/lodash.js/4.17.21/lodash.js')

// lodash 默认赋值给 "_"
console.log('isEqual', _.isEqual(['1'], ['1']))
`;
const tooltipTemplateString = `
// 获取echart实例
const chart = this.refs.vChartRef.chart

// 图表设置tooltip
chart.setOption({
  tooltip: {
    trigger: 'axis', //item
    enterable: true, 
    formatter (params) {
      return\`
        <div>
          <img src="https://portrait.gitee.com/uploads/avatars/user/1654/4964818_MTrun_1653229420.png!avatar30">
          <b><a href="https://gitee.com/dromara/go-view">《这是一个自定义的tooltip》</a></b>
        <div>
        <div style='border-radius:35px;color:#666'>
        \${Object.entries(params[0].value).map(kv => \`<div>\${kv[0]}:\${kv[1]}</div>\`).join('')}
        </div>
      \`;
    },
  }
})
`;
const addStyleString = `
// 组件样式作用域标识
const scoped = this.subTree.scopeId
function loadStyleString(css){
	let style = document.createElement('style')
	style.type = 'text/css'
	style.appendChild(document.createTextNode(css))
	let head = document.getElementsByTagName('head')[0]
	head.appendChild(style)
}
loadStyleString(\`
.dv-scroll-board[\${scoped}] {
  position: relative;
  overflow: hidden;
}
.dv-scroll-board[\${scoped}]::before {
  content: '';
  display: block;
  position: absolute;
  top: -20%;
  left: -100%;
  width: 550px;
  height: 60px;
  transform: rotate(-45deg);
  background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(255, 255, 255, 0.3), rgba(0, 0, 0, 0));
  animation: cross 2s infinite;
}
@keyframes cross{
  to{
    top: 80%;
    left: 100%;
    transform: rotate(-45deg);
  }
}
\`)
`;
const editMapPointString = `
const chart = this.refs.vChartRef.chart
// 定义地图原点大小 同理可自定义标签等等内容
this.props.chartConfig.option.series[0].symbolSize = (val) => {
  return Math.sqrt(val[2]) / 3;
}
this.setupState.vEchartsSetOption();
let i = 0; // 当前轮播索引
const len = 3; // 轮播部分提示
(function showTips() {
  const action = (type, dataIndex) => {
    chart.dispatchAction({
      type,
      dataIndex,
      seriesIndex: 0,
    });
  }
  setInterval(() => {
    action("downplay", i);
    action("hideTip", i);
    if (i === len) i = 0;
    i++;
    action("highlight", i);
    action("showTip", i);
  }, 2000);
})()
`;
const templateList = [
  {
    description: "获取当前组件实例",
    code: eTemplateString
  },
  {
    description: "获取全局 echarts 实例",
    code: echartsTemplateString
  },
  {
    description: "获取组件图表集合",
    code: componentsTemplateString
  },
  {
    description: "获取 nodeModules 实例",
    code: nodeModulesTemplateString
  },
  {
    description: "获取远程 CDN 库",
    code: importTemplateString
  },
  {
    description: "设置文字组件点击事件",
    code: addClickTemplateString
  },
  {
    description: "修改图表 tooltip",
    code: tooltipTemplateString
  },
  {
    description: "添加【轮播列表】样式",
    code: addStyleString
  },
  {
    description: "修改【地图】圆点，新增提示自动轮播",
    code: editMapPointString
  }
];
const _withScopeId$1 = (n) => (pushScopeId("data-v-53d5d409"), n = n(), popScopeId(), n);
const _hoisted_1$1 = { class: "func-annotate" };
const _hoisted_2$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("br", null, null, -1));
const _hoisted_3$1 = { class: "func-keyword" };
const _hoisted_4$1 = { class: "go-ml-4" };
const _hoisted_5$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("p", null, [
  /* @__PURE__ */ createTextVNode("}"),
  /* @__PURE__ */ createElementVNode("span", null, ",")
], -1));
const _hoisted_6$1 = { class: "go-pl-3" };
const _hoisted_7$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("span", { class: "func-keyword" }, "async function   ", -1));
const _hoisted_8$1 = { class: "func-keyNameWord" };
const _hoisted_9$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("p", { class: "go-pl-3 func-keyNameWord" }, "}", -1));
const _hoisted_10$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("br", null, null, -1));
const _hoisted_11 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("br", null, null, -1));
const _hoisted_12 = { class: "go-flex-items-center" };
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const { targetData, chartEditStore } = useTargetData();
    const { DocumentTextIcon, ChevronDownIcon, PencilIcon } = icon.ionicons5;
    const EventLifeName = {
      [EventLife.VNODE_BEFORE_MOUNT]: "渲染之前",
      [EventLife.VNODE_MOUNTED]: "渲染之后"
    };
    const EventLifeTip = {
      [EventLife.VNODE_BEFORE_MOUNT]: "此时组件 DOM 还未存在",
      [EventLife.VNODE_MOUNTED]: "此时组件 DOM 已经存在"
    };
    const showModal = ref(false);
    const editTab = ref(EventLife.VNODE_MOUNTED);
    let advancedEvents = ref({ ...targetData.value.events.advancedEvents });
    const errorFlag = ref(false);
    const validEvents = () => {
      let errorFn = "";
      let message = "";
      let name = "";
      errorFlag.value = Object.entries(advancedEvents.value).every(([eventName, str]) => {
        try {
          const AsyncFunction = Object.getPrototypeOf(async function() {
          }).constructor;
          new AsyncFunction(str);
          return true;
        } catch (error) {
          message = error.message;
          name = error.name;
          errorFn = eventName;
          return false;
        }
      });
      return {
        errorFn,
        message,
        name
      };
    };
    const closeEvents = () => {
      showModal.value = false;
    };
    const saveEvents = () => {
      if (validEvents().errorFn) {
        window["$message"].error("事件函数错误，无法进行保存");
        return;
      }
      if (Object.values(advancedEvents.value).join("").trim() === "") {
        targetData.value.events.advancedEvents = {
          vnodeBeforeMount: void 0,
          vnodeMounted: void 0
        };
      } else {
        targetData.value.events.advancedEvents = { ...advancedEvents.value };
      }
      closeEvents();
    };
    watch(
      () => showModal.value,
      (newData) => {
        if (newData) {
          advancedEvents.value = { ...targetData.value.events.advancedEvents };
        }
      }
    );
    return (_ctx, _cache) => {
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_code = resolveComponent("n-code");
      const _component_n_card = resolveComponent("n-card");
      const _component_n_collapse_item = resolveComponent("n-collapse-item");
      const _component_n_text = resolveComponent("n-text");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_tab_pane = resolveComponent("n-tab-pane");
      const _component_n_tabs = resolveComponent("n-tabs");
      const _component_n_layout = resolveComponent("n-layout");
      const _component_n_collapse = resolveComponent("n-collapse");
      const _component_n_scrollbar = resolveComponent("n-scrollbar");
      const _component_n_tag = resolveComponent("n-tag");
      const _component_n_layout_sider = resolveComponent("n-layout-sider");
      const _component_n_modal = resolveComponent("n-modal");
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_n_collapse_item, {
          title: "高级事件配置",
          name: "3"
        }, {
          "header-extra": withCtx(() => [
            createVNode(_component_n_button, {
              type: "primary",
              tertiary: "",
              size: "small",
              onClick: _cache[0] || (_cache[0] = withModifiers(($event) => showModal.value = true, ["stop"]))
            }, {
              icon: withCtx(() => [
                createVNode(_component_n_icon, null, {
                  default: withCtx(() => [
                    createVNode(unref(PencilIcon))
                  ]),
                  _: 1
                })
              ]),
              default: withCtx(() => [
                createTextVNode(" 编辑 ")
              ]),
              _: 1
            })
          ]),
          default: withCtx(() => [
            createVNode(_component_n_card, { class: "collapse-show-box" }, {
              default: withCtx(() => [
                (openBlock(true), createElementBlock(Fragment, null, renderList(unref(EventLife), (eventName) => {
                  return openBlock(), createElementBlock("div", { key: eventName }, [
                    createElementVNode("p", null, [
                      createElementVNode("span", _hoisted_1$1, "// " + toDisplayString(EventLifeName[eventName]), 1),
                      _hoisted_2$1,
                      createElementVNode("span", _hoisted_3$1, "async " + toDisplayString(eventName), 1),
                      createTextVNode(" (e, components, echarts, node_modules) { ")
                    ]),
                    createElementVNode("p", _hoisted_4$1, [
                      createVNode(_component_n_code, {
                        code: (unref(targetData).events.advancedEvents || {})[eventName] || "",
                        language: "typescript"
                      }, null, 8, ["code"])
                    ]),
                    _hoisted_5$1
                  ]);
                }), 128))
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        createVNode(_component_n_modal, {
          class: "go-chart-data-monaco-editor",
          show: showModal.value,
          "onUpdate:show": _cache[2] || (_cache[2] = ($event) => showModal.value = $event),
          "mask-closable": false
        }, {
          default: withCtx(() => [
            createVNode(_component_n_card, {
              bordered: false,
              role: "dialog",
              size: "small",
              "aria-modal": "true",
              style: { "width": "1200px", "height": "700px" }
            }, {
              header: withCtx(() => [
                createVNode(_component_n_space, null, {
                  default: withCtx(() => [
                    createVNode(_component_n_text, null, {
                      default: withCtx(() => [
                        createTextVNode("高级事件编辑器（配合源码使用）")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              "header-extra": withCtx(() => []),
              action: withCtx(() => [
                createVNode(_component_n_space, { justify: "space-between" }, {
                  default: withCtx(() => [
                    createElementVNode("div", _hoisted_12, [
                      createVNode(_component_n_tag, {
                        bordered: false,
                        type: "primary"
                      }, {
                        icon: withCtx(() => [
                          createVNode(_component_n_icon, { component: unref(DocumentTextIcon) }, null, 8, ["component"])
                        ]),
                        default: withCtx(() => [
                          createTextVNode(" 说明 ")
                        ]),
                        _: 1
                      }),
                      createVNode(_component_n_text, {
                        class: "go-ml-2",
                        depth: "2"
                      }, {
                        default: withCtx(() => [
                          createTextVNode("通过提供的参数可为图表增加定制化的tooltip、交互事件等等")
                        ]),
                        _: 1
                      })
                    ]),
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_button, {
                          size: "medium",
                          onClick: closeEvents
                        }, {
                          default: withCtx(() => [
                            createTextVNode("取消")
                          ]),
                          _: 1
                        }),
                        createVNode(_component_n_button, {
                          size: "medium",
                          type: "primary",
                          onClick: saveEvents
                        }, {
                          default: withCtx(() => [
                            createTextVNode("保存")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              default: withCtx(() => [
                createVNode(_component_n_layout, {
                  "has-sider": "",
                  "sider-placement": "right"
                }, {
                  default: withCtx(() => [
                    createVNode(_component_n_layout, { style: { "height": "580px", "padding-right": "20px" } }, {
                      default: withCtx(() => [
                        createVNode(_component_n_tabs, {
                          value: editTab.value,
                          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => editTab.value = $event),
                          type: "card",
                          "tab-style": "min-width: 100px;"
                        }, {
                          suffix: withCtx(() => [
                            createVNode(_component_n_text, {
                              class: "tab-tip",
                              type: "warning"
                            }, {
                              default: withCtx(() => [
                                createTextVNode("提示: " + toDisplayString(EventLifeTip[editTab.value]), 1)
                              ]),
                              _: 1
                            })
                          ]),
                          default: withCtx(() => [
                            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(EventLife), (eventName, index) => {
                              return openBlock(), createBlock(_component_n_tab_pane, {
                                key: index,
                                tab: `${EventLifeName[eventName]}-${eventName}`,
                                name: eventName
                              }, {
                                default: withCtx(() => [
                                  createElementVNode("p", _hoisted_6$1, [
                                    _hoisted_7$1,
                                    createElementVNode("span", _hoisted_8$1, toDisplayString(eventName) + "(e, components, echarts, node_modules)  {", 1)
                                  ]),
                                  createVNode(unref(MonacoEditor), {
                                    modelValue: unref(advancedEvents)[eventName],
                                    "onUpdate:modelValue": ($event) => unref(advancedEvents)[eventName] = $event,
                                    height: "480px",
                                    language: "javascript"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                                  _hoisted_9$1
                                ]),
                                _: 2
                              }, 1032, ["tab", "name"]);
                            }), 128))
                          ]),
                          _: 1
                        }, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_n_layout_sider, {
                      "collapsed-width": 14,
                      width: 340,
                      "show-trigger": "bar",
                      "collapse-mode": "transform",
                      "content-style": "padding: 12px 12px 0px 12px;margin-left: 3px;"
                    }, {
                      default: withCtx(() => [
                        createVNode(_component_n_tabs, {
                          "default-value": "1",
                          "justify-content": "space-evenly",
                          type: "segment"
                        }, {
                          default: withCtx(() => [
                            createVNode(_component_n_tab_pane, {
                              tab: "验证结果",
                              name: "1",
                              size: "small"
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: withCtx(() => [
                                    createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2, 3]
                                    }, {
                                      default: withCtx(() => [
                                        (openBlock(true), createElementBlock(Fragment, null, renderList([validEvents()], (error) => {
                                          return openBlock(), createElementBlock(Fragment, { key: error }, [
                                            createVNode(_component_n_collapse_item, {
                                              title: "错误函数",
                                              name: 1
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.errorFn || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            createVNode(_component_n_collapse_item, {
                                              title: "错误信息",
                                              name: 2
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.name || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            createVNode(_component_n_collapse_item, {
                                              title: "堆栈信息",
                                              name: 3
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.message || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024)
                                          ], 64);
                                        }), 128))
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            createVNode(_component_n_tab_pane, {
                              tab: "变量说明",
                              name: "2"
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: withCtx(() => [
                                    createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2, 3, 4]
                                    }, {
                                      default: withCtx(() => [
                                        createVNode(_component_n_collapse_item, {
                                          title: "e",
                                          name: 1
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(_component_n_text, { depth: "3" }, {
                                              default: withCtx(() => [
                                                createTextVNode("触发对应生命周期事件时接收的参数")
                                              ]),
                                              _: 1
                                            })
                                          ]),
                                          _: 1
                                        }),
                                        createVNode(_component_n_collapse_item, {
                                          title: "this",
                                          name: 2
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(_component_n_text, { depth: "3" }, {
                                              default: withCtx(() => [
                                                createTextVNode("图表组件实例")
                                              ]),
                                              _: 1
                                            }),
                                            _hoisted_10$1,
                                            (openBlock(true), createElementBlock(Fragment, null, renderList(["refs", "setupState", "ctx", "props", "..."], (prop) => {
                                              return openBlock(), createBlock(_component_n_tag, {
                                                class: "go-m-1",
                                                key: prop
                                              }, {
                                                default: withCtx(() => [
                                                  createTextVNode(toDisplayString(prop), 1)
                                                ]),
                                                _: 2
                                              }, 1024);
                                            }), 128))
                                          ]),
                                          _: 1
                                        }),
                                        createVNode(_component_n_collapse_item, {
                                          title: "components",
                                          name: 3
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(_component_n_text, { depth: "3" }, {
                                              default: withCtx(() => [
                                                createTextVNode("当前大屏内所有组件的集合id 图表组件中的配置id，可以获取其他图表组件进行控制")
                                              ]),
                                              _: 1
                                            }),
                                            createVNode(_component_n_code, {
                                              code: `{
  [id]: component
}`,
                                              language: "typescript"
                                            })
                                          ]),
                                          _: 1
                                        }),
                                        createVNode(_component_n_collapse_item, {
                                          title: "node_modules",
                                          name: 4
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(_component_n_text, { depth: "3" }, {
                                              default: withCtx(() => [
                                                createTextVNode("以下是内置在代码环境中可用的包变量")
                                              ]),
                                              _: 1
                                            }),
                                            _hoisted_11,
                                            (openBlock(true), createElementBlock(Fragment, null, renderList(Object.keys(unref(npmPkgs) || {}), (pkg) => {
                                              return openBlock(), createBlock(_component_n_tag, {
                                                class: "go-m-1",
                                                key: pkg
                                              }, {
                                                default: withCtx(() => [
                                                  createTextVNode(toDisplayString(pkg), 1)
                                                ]),
                                                _: 2
                                              }, 1024);
                                            }), 128))
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            createVNode(_component_n_tab_pane, {
                              tab: "介绍案例",
                              name: "3"
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: withCtx(() => [
                                    createVNode(_component_n_collapse, { "arrow-placement": "right" }, {
                                      default: withCtx(() => [
                                        (openBlock(true), createElementBlock(Fragment, null, renderList(unref(templateList), (item, index) => {
                                          return openBlock(), createBlock(_component_n_collapse_item, {
                                            key: index,
                                            title: `案例${index + 1}：${item.description}`,
                                            name: index
                                          }, {
                                            default: withCtx(() => [
                                              createVNode(_component_n_code, {
                                                code: item.code,
                                                language: "typescript"
                                              }, null, 8, ["code"])
                                            ]),
                                            _: 2
                                          }, 1032, ["title", "name"]);
                                        }), 128))
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }, 8, ["show"])
      ], 64);
    };
  }
});
const index_vue_vue_type_style_index_0_scoped_53d5d409_lang = "";
const ChartEventAdvancedHandle = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-53d5d409"]]);
const _withScopeId = (n) => (pushScopeId("data-v-8e33f3b1"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "func-annotate" };
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("br", null, null, -1));
const _hoisted_3 = { class: "func-keyword" };
const _hoisted_4 = { class: "go-ml-4" };
const _hoisted_5 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("p", null, [
  /* @__PURE__ */ createTextVNode("}"),
  /* @__PURE__ */ createElementVNode("span", null, ",")
], -1));
const _hoisted_6 = { class: "go-pl-3" };
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("span", { class: "func-keyword" }, "async function   ", -1));
const _hoisted_8 = { class: "func-keyNameWord" };
const _hoisted_9 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("p", { class: "go-pl-3 func-keyNameWord" }, "}", -1));
const _hoisted_10 = { class: "go-flex-items-center" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const { targetData, chartEditStore } = useTargetData();
    const { DocumentTextIcon, ChevronDownIcon, PencilIcon } = icon.ionicons5;
    const EventTypeName = {
      [BaseEvent.ON_CLICK]: "单击",
      [BaseEvent.ON_DBL_CLICK]: "双击",
      [BaseEvent.ON_MOUSE_ENTER]: "鼠标进入",
      [BaseEvent.ON_MOUSE_LEAVE]: "鼠标移出"
    };
    const showModal = ref(false);
    const editTab = ref(BaseEvent.ON_CLICK);
    let baseEvent = ref({ ...targetData.value.events.baseEvent });
    const errorFlag = ref(false);
    const validEvents = () => {
      let errorFn = "";
      let message = "";
      let name = "";
      errorFlag.value = Object.entries(baseEvent.value).every(([eventName, str]) => {
        try {
          const AsyncFunction = Object.getPrototypeOf(async function() {
          }).constructor;
          new AsyncFunction(str);
          return true;
        } catch (error) {
          message = error.message;
          name = error.name;
          errorFn = eventName;
          return false;
        }
      });
      return {
        errorFn,
        message,
        name
      };
    };
    const closeEvents = () => {
      showModal.value = false;
    };
    const saveEvents = () => {
      if (validEvents().errorFn) {
        window["$message"].error("事件函数错误，无法进行保存");
        return;
      }
      if (Object.values(baseEvent.value).join("").trim() === "") {
        targetData.value.events.baseEvent = {
          [BaseEvent.ON_CLICK]: void 0,
          [BaseEvent.ON_DBL_CLICK]: void 0,
          [BaseEvent.ON_MOUSE_ENTER]: void 0,
          [BaseEvent.ON_MOUSE_LEAVE]: void 0
        };
      } else {
        targetData.value.events.baseEvent = { ...baseEvent.value };
      }
      closeEvents();
    };
    watch(
      () => showModal.value,
      (newData) => {
        if (newData) {
          baseEvent.value = { ...targetData.value.events.baseEvent };
        }
      }
    );
    return (_ctx, _cache) => {
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_code = resolveComponent("n-code");
      const _component_n_card = resolveComponent("n-card");
      const _component_n_collapse_item = resolveComponent("n-collapse-item");
      const _component_n_text = resolveComponent("n-text");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_tab_pane = resolveComponent("n-tab-pane");
      const _component_n_tabs = resolveComponent("n-tabs");
      const _component_n_layout = resolveComponent("n-layout");
      const _component_n_collapse = resolveComponent("n-collapse");
      const _component_n_scrollbar = resolveComponent("n-scrollbar");
      const _component_n_layout_sider = resolveComponent("n-layout-sider");
      const _component_n_tag = resolveComponent("n-tag");
      const _component_n_modal = resolveComponent("n-modal");
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_n_collapse_item, {
          title: "基础事件配置",
          name: "2"
        }, {
          "header-extra": withCtx(() => [
            createVNode(_component_n_button, {
              type: "primary",
              tertiary: "",
              size: "small",
              onClick: _cache[0] || (_cache[0] = withModifiers(($event) => showModal.value = true, ["stop"]))
            }, {
              icon: withCtx(() => [
                createVNode(_component_n_icon, null, {
                  default: withCtx(() => [
                    createVNode(unref(PencilIcon))
                  ]),
                  _: 1
                })
              ]),
              default: withCtx(() => [
                createTextVNode(" 编辑 ")
              ]),
              _: 1
            })
          ]),
          default: withCtx(() => [
            createVNode(_component_n_card, { class: "collapse-show-box" }, {
              default: withCtx(() => [
                (openBlock(true), createElementBlock(Fragment, null, renderList(unref(BaseEvent), (eventName) => {
                  return openBlock(), createElementBlock("div", { key: eventName }, [
                    createElementVNode("p", null, [
                      createElementVNode("span", _hoisted_1, "// " + toDisplayString(EventTypeName[eventName]), 1),
                      _hoisted_2,
                      createElementVNode("span", _hoisted_3, "async " + toDisplayString(eventName), 1),
                      createTextVNode(" (mouseEvent,components) { ")
                    ]),
                    createElementVNode("p", _hoisted_4, [
                      createVNode(_component_n_code, {
                        code: (unref(targetData).events.baseEvent || {})[eventName] || "",
                        language: "typescript"
                      }, null, 8, ["code"])
                    ]),
                    _hoisted_5
                  ]);
                }), 128))
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        createVNode(_component_n_modal, {
          class: "go-chart-data-monaco-editor",
          show: showModal.value,
          "onUpdate:show": _cache[2] || (_cache[2] = ($event) => showModal.value = $event),
          "mask-closable": false
        }, {
          default: withCtx(() => [
            createVNode(_component_n_card, {
              bordered: false,
              role: "dialog",
              size: "small",
              "aria-modal": "true",
              style: { "width": "1200px", "height": "700px" }
            }, {
              header: withCtx(() => [
                createVNode(_component_n_space, null, {
                  default: withCtx(() => [
                    createVNode(_component_n_text, null, {
                      default: withCtx(() => [
                        createTextVNode("基础事件编辑器")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              "header-extra": withCtx(() => []),
              action: withCtx(() => [
                createVNode(_component_n_space, { justify: "space-between" }, {
                  default: withCtx(() => [
                    createElementVNode("div", _hoisted_10, [
                      createVNode(_component_n_tag, {
                        bordered: false,
                        type: "primary"
                      }, {
                        icon: withCtx(() => [
                          createVNode(_component_n_icon, { component: unref(DocumentTextIcon) }, null, 8, ["component"])
                        ]),
                        default: withCtx(() => [
                          createTextVNode(" 说明 ")
                        ]),
                        _: 1
                      }),
                      createVNode(_component_n_text, {
                        class: "go-ml-2",
                        depth: "2"
                      }, {
                        default: withCtx(() => [
                          createTextVNode("编写方式同正常 JavaScript 写法")
                        ]),
                        _: 1
                      })
                    ]),
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_button, {
                          size: "medium",
                          onClick: closeEvents
                        }, {
                          default: withCtx(() => [
                            createTextVNode("取消")
                          ]),
                          _: 1
                        }),
                        createVNode(_component_n_button, {
                          size: "medium",
                          type: "primary",
                          onClick: saveEvents
                        }, {
                          default: withCtx(() => [
                            createTextVNode("保存")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              default: withCtx(() => [
                createVNode(_component_n_layout, {
                  "has-sider": "",
                  "sider-placement": "right"
                }, {
                  default: withCtx(() => [
                    createVNode(_component_n_layout, { style: { "height": "580px", "padding-right": "20px" } }, {
                      default: withCtx(() => [
                        createVNode(_component_n_tabs, {
                          value: editTab.value,
                          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => editTab.value = $event),
                          type: "card",
                          "tab-style": "min-width: 100px;"
                        }, {
                          suffix: withCtx(() => [
                            createVNode(_component_n_text, {
                              class: "tab-tip",
                              type: "warning"
                            }, {
                              default: withCtx(() => [
                                createTextVNode("提示: ECharts 组件会拦截鼠标事件")
                              ]),
                              _: 1
                            })
                          ]),
                          default: withCtx(() => [
                            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(BaseEvent), (eventName, index) => {
                              return openBlock(), createBlock(_component_n_tab_pane, {
                                key: index,
                                tab: `${EventTypeName[eventName]}-${eventName}`,
                                name: eventName
                              }, {
                                default: withCtx(() => [
                                  createElementVNode("p", _hoisted_6, [
                                    _hoisted_7,
                                    createElementVNode("span", _hoisted_8, toDisplayString(eventName) + "(mouseEvent,components)  {", 1)
                                  ]),
                                  createVNode(unref(MonacoEditor), {
                                    modelValue: unref(baseEvent)[eventName],
                                    "onUpdate:modelValue": ($event) => unref(baseEvent)[eventName] = $event,
                                    height: "480px",
                                    language: "javascript"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                                  _hoisted_9
                                ]),
                                _: 2
                              }, 1032, ["tab", "name"]);
                            }), 128))
                          ]),
                          _: 1
                        }, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    createVNode(_component_n_layout_sider, {
                      "collapsed-width": 14,
                      width: 340,
                      "show-trigger": "bar",
                      "collapse-mode": "transform",
                      "content-style": "padding: 12px 12px 0px 12px;margin-left: 3px;"
                    }, {
                      default: withCtx(() => [
                        createVNode(_component_n_tabs, {
                          "default-value": "1",
                          "justify-content": "space-evenly",
                          type: "segment"
                        }, {
                          default: withCtx(() => [
                            createVNode(_component_n_tab_pane, {
                              tab: "验证结果",
                              name: "1",
                              size: "small"
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: withCtx(() => [
                                    createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2, 3]
                                    }, {
                                      default: withCtx(() => [
                                        (openBlock(true), createElementBlock(Fragment, null, renderList([validEvents()], (error) => {
                                          return openBlock(), createElementBlock(Fragment, { key: error }, [
                                            createVNode(_component_n_collapse_item, {
                                              title: "错误函数",
                                              name: 1
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.errorFn || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            createVNode(_component_n_collapse_item, {
                                              title: "错误信息",
                                              name: 2
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.name || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            createVNode(_component_n_collapse_item, {
                                              title: "堆栈信息",
                                              name: 3
                                            }, {
                                              default: withCtx(() => [
                                                createVNode(_component_n_text, { depth: "3" }, {
                                                  default: withCtx(() => [
                                                    createTextVNode(toDisplayString(error.message || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024)
                                          ], 64);
                                        }), 128))
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            createVNode(_component_n_tab_pane, {
                              tab: "变量说明",
                              name: "2"
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: withCtx(() => [
                                    createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2]
                                    }, {
                                      default: withCtx(() => [
                                        createVNode(_component_n_collapse_item, {
                                          title: "mouseEvent",
                                          name: 1
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(_component_n_text, { depth: "3" }, {
                                              default: withCtx(() => [
                                                createTextVNode("鼠标事件对象")
                                              ]),
                                              _: 1
                                            })
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }, 8, ["show"])
      ], 64);
    };
  }
});
const index_vue_vue_type_style_index_0_scoped_8e33f3b1_lang = "";
const ChartEventBaseHandle = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-8e33f3b1"]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const { targetData } = useTargetData();
    ref(false);
    return (_ctx, _cache) => {
      const _component_n_text = resolveComponent("n-text");
      const _component_n_collapse = resolveComponent("n-collapse");
      return openBlock(), createBlock(_component_n_collapse, {
        class: "go-mt-3",
        "arrow-placement": "right",
        "default-expanded-names": ["1", "2"]
      }, {
        default: withCtx(() => [
          createVNode(_component_n_text, { depth: "3" }, {
            default: withCtx(() => [
              createTextVNode(" 组件 id： "),
              createVNode(_component_n_text, null, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(targetData).id), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(ChartEventInteraction)),
          createVNode(unref(ChartEventBaseHandle)),
          createVNode(unref(ChartEventAdvancedHandle))
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
